Governance Alert
This contains APIs related to Governance Alert Management
Clone a governance alert rule with the given id
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
Newly created cloned governance alert rule
POST /gateway/ccm/api/governance/alert/clone?accountIdentifier=text&id=text HTTP/1.1
Host: nextgen-ce-676588f45b-9jmtz
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Create a new governance alert rule
Account Identifier for the Entity.
This object will contain the complete definition of a Governance Notification
unique id
account id
name
cloud provider
resource types
cloud account ids
resource count
cost
email ids
is attachment required
is enabled
Time at which the entity was created
Time at which the entity was last updated
Bad Request
This is Failure entity as defied in Harness
Internal server error
Returns newly created governance alert rule
POST /gateway/ccm/api/governance/alert?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-676588f45b-9jmtz
Content-Type: application/json
Accept: */*
Content-Length: 412
{
"uuid": "text",
"accountId": "text",
"name": "text",
"cloudProvider": "AWS",
"resourceTypes": [
"text"
],
"cloudAccountIds": [
"text"
],
"resourceCount": 1,
"cost": 1,
"emailIds": [
"text"
],
"isAttachmentRequired": true,
"isEnabled": true,
"createdAt": 1,
"lastUpdatedAt": 1,
"createdBy": {
"uuid": "text",
"name": "text",
"email": "text",
"externalUserId": "text"
},
"lastUpdatedBy": {
"uuid": "text",
"name": "text",
"email": "text",
"externalUserId": "text"
}
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Update a existing governance alert rule
Account Identifier for the Entity.
This object will contain the complete definition of a Governance Notification
unique id
account id
name
cloud provider
resource types
cloud account ids
resource count
cost
email ids
is attachment required
is enabled
Time at which the entity was created
Time at which the entity was last updated
Bad Request
This is Failure entity as defied in Harness
Internal server error
Updated governance alert rule
PUT /gateway/ccm/api/governance/alert?accountIdentifier=text&id=text HTTP/1.1
Host: nextgen-ce-676588f45b-9jmtz
Content-Type: application/json
Accept: */*
Content-Length: 412
{
"uuid": "text",
"accountId": "text",
"name": "text",
"cloudProvider": "AWS",
"resourceTypes": [
"text"
],
"cloudAccountIds": [
"text"
],
"resourceCount": 1,
"cost": 1,
"emailIds": [
"text"
],
"isAttachmentRequired": true,
"isEnabled": true,
"createdAt": 1,
"lastUpdatedAt": 1,
"createdBy": {
"uuid": "text",
"name": "text",
"email": "text",
"externalUserId": "text"
},
"lastUpdatedBy": {
"uuid": "text",
"name": "text",
"email": "text",
"externalUserId": "text"
}
}{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Delete a governance alert rule with the given id
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
A boolean whether the delete was successful or not
DELETE /gateway/ccm/api/governance/alert/{id}?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-676588f45b-9jmtz
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}List all governance alert rule(s)
Account Identifier for the Entity.
Bad Request
This is Failure entity as defied in Harness
Internal server error
List of all governance alert rule(s)
GET /gateway/ccm/api/governance/alert/list?accountIdentifier=text HTTP/1.1
Host: nextgen-ce-676588f45b-9jmtz
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}List all governance supported resource types
Account Identifier for the Entity.
Cloud Provider
Bad Request
This is Failure entity as defied in Harness
Internal server error
List of all governance supported resource types
GET /gateway/ccm/api/governance/alert/resourceTypes?accountIdentifier=text&cloudProvider=AWS HTTP/1.1
Host: nextgen-ce-676588f45b-9jmtz
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Toggle a governance alert rule with the given id
Account Identifier for the Entity.
Enable Governance Alert Rule
Bad Request
This is Failure entity as defied in Harness
Internal server error
Updated governance alert rule
PUT /gateway/ccm/api/governance/alert/toggle?accountIdentifier=text&id=text&enableGovernanceAlertRule=true HTTP/1.1
Host: nextgen-ce-676588f45b-9jmtz
Accept: */*
{
"status": "SUCCESS",
"code": "DEFAULT_ERROR_CODE",
"message": "text",
"correlationId": "text",
"errors": [
{
"fieldId": "text",
"error": "text"
}
]
}Last updated
Was this helpful?